<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
	$fields	= array(
		'form_open'	=> array(
			'id'			=> 'client_form',
			'name'			=> 'client_form',
			'class'			=> 'form-horizontal'
		),
		'auth_key_value'	=> array(
			'name'			=> 'auth_key_value',
			'id'			=> 'auth_key_value',
			'class'			=> 'form-control',
			'data-bind'		=> 'value:auth_key_value'
		),
		'server_name'	=> array(
			'name'			=> 'server_name',
			'id'			=> 'server_name',
			'class'			=> 'form-control',
			'data-bind'		=> 'value:server_name'
		)
	);
?>
<div class="panel sidebar-fixed-header panel-primary" data-bind="with:popupitem">
	<div class="panel-heading">
		<h3 class="panel-title dib" data-bind="text:app_name()+' configuration'"></h3>
		<div class="btn-group pull-right">
			 <button class="btn btn-sm btn_save btn-success" data-bind="click:save">
				<i class="icon icon-save icon-white"></i>&nbsp;&nbsp;<?php echo lang('SAVE'); ?>
		     </button>
			<button class="btn btn-primary btn-sm" data-bind="click:cancel">
				<span class="icon-remove-sign icon-white"></span>
			</button>
		</div>
	</div>
	<div class="panel-body">
		<div class="row">
			<div class="col-lg-11 col-sm-11">
				<div class="form-group input-group">
					<span class="input-group-addon">
						<i data-bind="text:auth_key_name()"></i>
					</span>
					<?php echo form_input($fields['auth_key_value']); ?>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-lg-11 col-sm-11">
				<div class="form-group input-group">
					<span class="input-group-addon">
						<i><?php echo lang('SERVER_NAME');?> </i>
					</span>
					<?php echo form_input($fields['server_name']); ?>
				</div>
			</div>
		</div>
		<!-- ko if:config_fields_tmpl -->
		<div data-bind="with:config_fields">
			<div data-bind="template:{name:'conf_tmpl_'}"></div>
		</div>
		<!-- /ko -->
		<div class="row" data-bind="visible:events().length>0">
			<!-- ko foreach:events -->
			<div class="pull-left col-md-6">
				<div class="checkbox nmb">
	  				<label>
				 	     <input type="checkbox" data-bind="checkedValue: event_code, checked:is_checked" class="nmt"></input><h5 data-bind="text:event_name" class="nmt"></h5>
					</label>
				</div>
			</div>
			<!-- /ko -->
		</div>
	</div>
</div>
