<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

?>
<div id="tssetting" class="box col-md-4 col-sm-4 nm" data-bind="css:{edit_box:_info.is_edit_mode}">
	<div class="panel panel-primary nb">
		<div class="panel-heading dib fw" style="padding:5px 15px;">
			<h4 class="dib vam" style="margin-top:5px;"><?php echo lang('TITLE_TIMESHEET'); ?></h4>
			<div class="pull-right" style="display:none" data-bind="visible:_info.is_edit_mode">
				<div class="btn-group">
					<button name="save" data-bind="click:save" class="btn btn-success btn-sm">
						<span class="icon-save icon-white"></span>&nbsp;<?php echo lang('SAVE'); ?>
					</button>
					<button name="cancel" data-bind="click:cancel" class="btn btn-primary btn-sm">
						<span class="icon-remove-sign icon-white"></span>
					</button>
				</div>
			</div>
			<div class="pull-right editbox" data-bind="hidden:_info.is_edit_mode">
				<button class="btn btn-default btn-sm" data-bind="click:setEdit">
					<span class="icon-pencil"></span>&nbsp;<?php echo lang('EDIT'); ?>
				</button>
			</div>
			<div class="sep">&nbsp;</div>
		</div>
	</div>
	<div class="content" data-bind="hidden:_info.is_edit_mode, event:{dblclick:setEdit}">
		<div class="sub-title"><?php echo lang('TRACK_TIME'); ?></div>
		<hr class="list-group-item-heading">
		<small>
			<strong><?php echo lang('START_END_TIME'); ?></strong>
		</small>
		<br/>
		<span>
			<span data-bind="if:time_stamp_req" class="requiredOpt"><?php echo lang('REQUIRED'); ?></span>
			<!-- ko ifnot:time_stamp_req --><?php echo lang('NOT_REQUIRED'); ?><!-- /ko -->
		</span>
		<div class="sep">&nbsp;</div>
		<div class="sub-title"><?php echo lang('TIME_SHEET_APPROVAL'); ?></div>
				<hr class="list-group-item-heading">
				<span>
   					<!-- ko if:time_sheet_approval --><span class="requiredOpt"><?php echo lang('YES_EXCEL'); ?></span> <?php echo lang('PM_WILL_APPROVE'); ?><!-- /ko -->
			<!-- ko ifnot:time_sheet_approval --><?php echo lang('NO'); ?><!-- /ko -->
		</span>
		<div class="sep">&nbsp;</div>
		<div class="sub-title"><?php echo lang('BILLABLE'); ?></div>
				<hr class="list-group-item-heading">
				<span>
   					<!-- ko if:modify_billable --><span class="requiredOpt"><?php echo lang('EDITABLE'); ?></span> <!-- /ko -->
			<!-- ko ifnot:modify_billable --><?php echo lang('NONEDITABLE'); ?><!-- /ko -->
		</span>
		<div class="sep">&nbsp;</div>
		<div class="sub-title"><?php echo lang('WORK_HOURS_IN_A_DAY'); ?></div>
		<hr class="list-group-item-heading">
		<span data-bind="text:hours_per_day() + ' <?php echo lang('HOURS_PER_DAY'); ?>'">
		</span>
	</div>
	<div id="time-sheet-edit" data-bind="visible:_info.is_edit_mode"></div>
</div>
