<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

$lang['INVOICES']		= 'Invoice';
$lang['INVOICE#']		= 'Invoice#';
$lang['AMT']			= 'Amt';
$lang['QTY']			= 'Qty/Hrs';
$lang['SEND']			= 'Send';
$lang['CLIENT']			= 'Client';
$lang['AMOUNT']			= 'Amount';
$lang['STATUS']			= 'Status';
$lang['ADDRESS']		= 'Address';
$lang['CURRENCY']		= 'Currency';
$lang['SUBJECT']		= 'Subject';
$lang['TAX']			= 'Tax';
$lang['TAX1']			= 'Tax1';
$lang['TAX2']			= 'Tax2';
$lang['TAX3']			= 'Tax3';
$lang['TAX_NAME']		= 'Tax';	
$lang['BALANCE']		= 'Balance Due';
$lang['SUB_TOTAL']		= 'Sub Total';
$lang['DUE_TOTAL']		= 'Total Due';
$lang['DISCOUNT']		= 'Discount';
$lang['BEFORE_TAX']		= 'Before Tax';
$lang['PAYMENT']		= 'Payment';
$lang['DUE_DATE']		= 'Due Date';
$lang['DUE_DATE_FREQUENCY']		= 'Due Frequency';
$lang['SAVE']		= 'Save';
$lang['PHONE']	= 'Phone';
$lang['MOBILE']= 'Mobile';

$lang['RECURRING_INVOICE']		= 'Recurring Invoice';
$lang['FREQUENCY']				= 'Frequency';
$lang['NEXT_INVOICE_DATE']		= 'Next Invoice Date';
$lang['SEND_AUTOMATIC_MAIL']	= 'Send Email automatically to client';
$lang['IMPORT_EXPENSE']			= 'Import project hours & expenses';
$lang['DETAIL_BY']				= 'Detail By';
$lang['INVOICE_EXPENSE']		= 'Invoice Expenses';
$lang['APPROVED']				= 'Approved';
$lang['UNAPPROVED']				= 'UnApproved';
$lang['UNINVOICED']				= 'Uninvoiced';
$lang['QUANTITY_HOURS']			= 'Quantity/Hours';
$lang['CONTACTS_EMPTY']			= 'No Contacts found';
$lang['PRODUCT_SERVICE']		= 'Product/Service';
$lang['RATE_UNIT']  			= 'Rate/Unit';
$lang['PROJECT_BILL']			= 'Project Hrs / Expenses for this invoice';
$lang['UNINVOICED_HOURS']		= 'Uninvoiced Hours';
$lang['UNINVOICED_EXPENSES']	= 'Uninvoiced Expenses';
$lang['INVOICE_BILL_HOUR']		= 'Invoice Billable Hours';
$lang['BILL_HOURS']				= 'Bill Hrs.';
$lang['NON_BILL_HOURS']			= 'Non Bill Hrs.';
$lang['EXPENSES']				= 'Expenses';
$lang['NOTES']					= 'Notes';
$lang['LAST_INVOICE']			= 'Project/Last Invoice';
$lang['DESCRIPTION']			= 'Description';
$lang['APPLIED_INVOICES']		= 'Applied Invoices';
$lang['REMAINING']				= 'Remaining';

$lang['NOTES_VISIBLE_TO_EVERY_ONE']		= 'Notes (Visible to every one)';
$lang['HAS_AN_OUTSTANDING_CREDIT_OF']	= 'has an outstanding credit of';
$lang['FOR_THIS_INVOICE']				= 'for this invoice';

$lang['CONFIRM_PAY_FROM_DEPOSIT']		= 'Are you sure you want to pay from deposit invoice ?';

$lang['REIMPORT']				= 'Re-Import';
$lang['IMPORT_ITEMS_CONFIRM_MSG']	= 'Are you sure to import selected items?';

$lang['INVOICE_TOTAL']				= 'Invoice Total';
$lang['SELECT_DETAIL_HOURS']		= 'Please Select Detail Hours';
$lang['SELECT_DETAIL_EXPENSES']		= 'Please Select Detail Expenses';
$lang['SELECT_PROJECTS']			= 'Please Select Projects For Invoice';

$lang['PRINT']					= 'Print';
$lang['DUPLICATE']				= 'Duplicate';
$lang['EXPORT_AS_PDF']				= 'Export as PDF';
$lang['CLIENT_DETAILS_REQUIRED']			= 'Client details are required';
$lang['INVALID_PRODUCT_SERVICE_ITEMS']			= 'Invoice Product/Service Items cannot be empty';
$lang['INVALID_PRODUCT_SERVICE_DESC_NOT_EMPTY']	= 'Invoice Product/Service description cannot be empty';
$lang['AMOUNT_MUST_BE_GREATER_THAN_ZERO']	= 'Amount must be greater than Zero.';
$lang['PAYMENT_GREATER_THAN_BALANCE']	= 'Payment amount is greater than Balance Due amount.';
$lang['VIEW_OR_EDIT'] = 'View/Edit';

$lang['DRAFT'] 		= 'Draft';
$lang['UNPAID']		= 'Unpaid';
$lang['PAID'] 		= 'Paid';
$lang['RECURRING'] 	= 'Recurring';
$lang['ARCHIVED'] = 'Archived';
$lang['ARCHIVE'] = 'Archive';
$lang['UNARCHIVE'] = 'Unarchive';
$lang['BALANCE_AMOUNT']		= 'Balance';
$lang['PAID_ON']		= 'Paid on';
$lang['OVERDUE'] 	= 'Over Due';
$lang['LAST_USED'] 	= 'Last Used Invoice #';
$lang['PREVIOUS_INVOICE'] 	= 'Previous Invoice #';
$lang['DELETE_CONFIRM'] = 'Are you sure you want to delete this payment ?';
$lang['NO_HRS_AVAIL_FOR_IMPORT'] = 'No Hrs available for import';
$lang['MESSAGE'] = 'Message';
$lang['PAYMENT_MADE_FROM_DEPOSIT_INVOICE'] = 'Payment made from Deposit Invoice';
$lang['INVOICE_MAIL_SUBJECT'] = "Invoice Submittal from %s (Invoice#: %s)";
$lang['INVOICE_MAIL_TEMPLATE'] = "Dear %contact_name%, \n\nPlease find attached our invoice #%invoice_number% with this email. Here's an overview of the invoice for your reference.\n\nInvoice Overview:\nInvoice # : %invoice_number%\nDate : %invoice_date%\nAmount : %total%.\n\nKindly make payment at your earliest convenience. If you have any queries regarding this invoice, \nPlease contact %admin_name% at Accounts Head at %admin_email%.\n\nHoping the above to your satisfaction, we remain.\n\nSincerely,\n%admin_name% ( %admin_email% ) \n%company_name%";
$lang['PAYMENT_ACK'] = "Payment acknowledgement from %s ";
$lang['PAYMENT_MAIL_TEMPLATE'] = "Dear %contact_name%, \n\nI am writing to confirm your recent payment of %amount% which was processed on %nav_date%.\nThanks for the payment and business. We look forward to your continued support in future.\n\nSincerely,\n%admin_name% ( %admin_email% ) \n%company_name%";
$lang['MARK_AS_BILLED'] = 'Mark as billed';
$lang['NO_NON_BILLABLE'] = 'No Non Billable hours';
